Subject: Re: [GSoC PATCH v6 0/3] graph: add --graph-lane-limit option

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Apr 2026 13:15:45 -0700

Tian Yuchen <[email-masked]> writes:

> I don’t know about you, but I find this rather difficult to grasp. At 
> the very least, I can’t tell at a glance where the actual merges and 
> branches are. I don’t think a good solution should involve shifting left 
> or right. Perhaps it would be better to use a special symbol in the root 
> commit (such as the ■ symbol, which resembles a full stop? People would 
> instinctively recognise it as a terminator):

Not only just a symbol for "root", but you'd need to a set of
alternative "root" symbols, so that you can also show roots that
play special roles in --left-right and --boundary output.

Different charactrers were ruled out years ago and had to be shot
down at least twice in the past mostly due to this problem.

Also there will be another question, should the bottom end of a
range and a root commit be shown the same way or differently?